package Monitoring::GLPlugin::SNMP::MibsAndOids::CISCOERRDISABLEMIB;

$Monitoring::GLPlugin::SNMP::MibsAndOids::origin->{'CISCO-ERR-DISABLE-MIB'} = {
  url => '',
  name => 'CISCO-ERR-DISABLE-MIB',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::mib_ids->{'CISCO-ERR-DISABLE-MIB'} =
  '1.3.6.1.4.1.9.9.548';

$Monitoring::GLPlugin::SNMP::MibsAndOids::mibs_and_oids->{'CISCO-ERR-DISABLE-MIB'} = {
  'ciscoErrDisableMIB' => '1.3.6.1.4.1.9.9.548',
  'ciscoErrDisableMIBNotifs' => '1.3.6.1.4.1.9.9.548.0',
  'cErrDisableNotificationsPrefix' => '1.3.6.1.4.1.9.9.548.0.1',
  'ciscoErrDisableMIBObjects' => '1.3.6.1.4.1.9.9.548.1',
  'cErrDisableGlobalObjects' => '1.3.6.1.4.1.9.9.548.1.1',
  'cErrDisableRecoveryInterval' => '1.3.6.1.4.1.9.9.548.1.1.1',
  #'cErrDisableRecoveryIntervalDefinition' => 'CISCO-TC::TimeIntervalSec',
  'cErrDisableNotifEnable' => '1.3.6.1.4.1.9.9.548.1.1.2',
  'cErrDisableNotifEnableDefinition' => 'SNMPv2-TC::TruthValue',
  'cErrDisableNotifRate' => '1.3.6.1.4.1.9.9.548.1.1.3',
  'cErrDisableFeatureObjects' => '1.3.6.1.4.1.9.9.548.1.2',
  'cErrDisableFeatureTable' => '1.3.6.1.4.1.9.9.548.1.2.1',
  'cErrDisableFeatureEntry' => '1.3.6.1.4.1.9.9.548.1.2.1.1',
  'cErrDisableFeatureIndex' => '1.3.6.1.4.1.9.9.548.1.2.1.1.1',
  'cErrDisableFeatureIndexDefinition' => 'CISCO-ERR-DISABLE-MIB::CErrDisableFeatureID',
  'cErrDisableFeatureConfigurable' => '1.3.6.1.4.1.9.9.548.1.2.1.1.2',
  'cErrDisableFeatureDetectEnable' => '1.3.6.1.4.1.9.9.548.1.2.1.1.3',
  'cErrDisableFeatureDetectEnableDefinition' => 'SNMPv2-TC::TruthValue',
  'cErrDisableFeatureRecoveryEnable' => '1.3.6.1.4.1.9.9.548.1.2.1.1.4',
  'cErrDisableFeatureRecoveryEnableDefinition' => 'SNMPv2-TC::TruthValue',
  'cErrDisableFeatureRecoveryInterval' => '1.3.6.1.4.1.9.9.548.1.2.1.1.5',
  #'cErrDisableFeatureRecoveryIntervalDefinition' => 'CISCO-TC::TimeIntervalSec',
  'cErrDisableFeatureDetectShutdownVlan' => '1.3.6.1.4.1.9.9.548.1.2.1.1.6',
  'cErrDisableFeatureDetectShutdownVlanDefinition' => 'SNMPv2-TC::TruthValue',
  'cErrDisableFeatureMaxFlapCount' => '1.3.6.1.4.1.9.9.548.1.2.1.1.7',
  'cErrDisableFeatureFlapTimePeriod' => '1.3.6.1.4.1.9.9.548.1.2.1.1.8',
  'cErrDisableIfObjects' => '1.3.6.1.4.1.9.9.548.1.3',
  'cErrDisableIfStatusTable' => '1.3.6.1.4.1.9.9.548.1.3.1',
  'cErrDisableIfStatusEntry' => '1.3.6.1.4.1.9.9.548.1.3.1.1',
  'cErrDisableIfStatusVlanIndex' => '1.3.6.1.4.1.9.9.548.1.3.1.1.1',
  #'cErrDisableIfStatusVlanIndexDefinition' => 'CISCO-PRIVATE-VLAN-MIB::VlanIndexOrZero',
  'cErrDisableIfStatusCause' => '1.3.6.1.4.1.9.9.548.1.3.1.1.2',
  'cErrDisableIfStatusCauseDefinition' => 'CISCO-ERR-DISABLE-MIB::CErrDisableFeatureID',
  'cErrDisableIfStatusTimeToRecover' => '1.3.6.1.4.1.9.9.548.1.3.1.1.3',
  #'cErrDisableIfStatusTimeToRecoverDefinition' => 'CISCO-TC::TimeIntervalSec',
  'ciscoErrDisableMIBConform' => '1.3.6.1.4.1.9.9.548.2',
  'ciscoErrDisableMIBCompliances' => '1.3.6.1.4.1.9.9.548.2.1',
  'ciscoErrDisableMIBGroups' => '1.3.6.1.4.1.9.9.548.2.2',
};

$Monitoring::GLPlugin::SNMP::MibsAndOids::definitions->{'CISCO-ERR-DISABLE-MIB'} = {
  'CErrDisableFeatureID' => {
    '1' => 'udld',
    '2' => 'bpduGuard',
    '3' => 'channelMisconfig',
    '4' => 'pagpFlap',
    '5' => 'dtpFlap',
    '6' => 'linkFlap',
    '7' => 'l2ptGuard',
    '8' => 'dot1xSecurityViolation',
    '9' => 'portSecurityViolation',
    '10' => 'gbicInvalid',
    '11' => 'dhcpRateLimit',
    '12' => 'unicastFlood',
    '13' => 'vmps',
    '14' => 'stormControl',
    '15' => 'inlinePower',
    '16' => 'arpInspection',
    '17' => 'portLoopback',
    '18' => 'packetBuffer',
    '19' => 'macLimit',
    '20' => 'linkMonitorFailure',
    '21' => 'oamRemoteFailure',
    '22' => 'dot1adIncompEtype',
    '23' => 'dot1adIncompTunnel',
    '24' => 'sfpConfigMismatch',
    '25' => 'communityLimit',
    '26' => 'invalidPolicy',
    '27' => 'lsGroup',
    '28' => 'ekey',
    '29' => 'portModeFailure',
    '30' => 'pppoeIaRateLimit',
    '31' => 'oamRemoteCriticalEvent',
    '32' => 'oamRemoteDyingGasp',
    '33' => 'oamRemoteLinkFault',
    '34' => 'mvrp',
    '35' => 'tranceiverIncomp',
    '36' => 'other',
    '37' => 'portReinitLimitReached',
    '38' => 'adminRxBBCreditPerfBufIncomp',
    '39' => 'ficonNotEnabled',
    '40' => 'adminModeIncomp',
    '41' => 'adminSpeedIncomp',
    '42' => 'adminRxBBCreditIncomp',
    '43' => 'adminRxBufSizeIncomp',
    '44' => 'eppFailure',
    '45' => 'osmEPortUp',
    '46' => 'osmNonEPortUp',
    '47' => 'udldUniDir',
    '48' => 'udldTxRxLoop',
    '49' => 'udldNeighbourMismatch',
    '50' => 'udldEmptyEcho',
    '51' => 'udldAggrasiveModeLinkFailed',
    '52' => 'excessivePortInterrupts',
    '53' => 'channelErrDisabled',
    '54' => 'hwProgFailed',
    '55' => 'internalHandshakeFailed',
    '56' => 'stpInconsistencyOnVpcPeerLink',
    '57' => 'stpPortStateFailure',
    '58' => 'ipConflict',
    '59' => 'multipleMSapIdsRcvd',
    '60' => 'oneHundredPdusWithoutAck',
    '61' => 'ipQosCompatCheckFailure',
  },
};
